<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);
session_start();
require 'verifica_cookie.php';
require 'conexao.php';

$pdo        = Conexao::getInstance();
$venda      = (isset($_SESSION['VENDA'])) ? $_SESSION['VENDA'] : '';
$impressora = (isset($_COOKIE['pCaixa'])) ? $_COOKIE['pCaixa'] : '';
$usuario    = (isset($_COOKIE['id'])) ? $_COOKIE['id'] : 1;
$contErro = 0;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	$output = json_encode(array('status' => 0, 'mensagem' => 'Existem campos vazios!'));
	die($output);
endif;

$sql = "SELECT ven_001 FROM venda WHERE ven_001 = {$venda} and sit_001 = 8";
$stm = $pdo->prepare($sql);
$stm->execute();
$vendaEmAberto = $stm->fetch(PDO::FETCH_OBJ);

if (empty($vendaEmAberto)):
	echo json_encode(['status' => '0', 'mensagem' => "Está venda não está ABERTA, verifique no Caixa !"]);
	exit();
endif;

$sql = "UPDATE venda SET impressao_mobile = 'S', impressora_pre = '{$impressora}', usu_001_2 = :user, terminal_pre_fechamento = 'MOBILE' ";
$sql .= "WHERE ven_001 = :venda";
$stm = $pdo->prepare($sql);
$stm->bindValue(':user', $usuario);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status' => '1', 'mensagem' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status' => '0', 'mensagem' => 'Erro ao gravar item!'));
endif;
